Skip to main content
GET
/
stores
Retrieve Store Details
curl --request GET \
  --url https://api.catalogix.ai/v1/stores \
  --header 'Authorization: Bearer <token>'
{
  "status": {
    "code": 0,
    "message": "success",
    "request_id": "8c8b2b7e-23d7-4c2a-91b0-2a7c4dfbb312"
  },
  "data": {
    "store_name": "Sample store",
    "workspace_id": "Sample store",
    "linked_store_id": "linked store",
    "store_website": "https://test.com",
    "country": [
      "India"
    ],
    "channels": {
      "SMP": 34
    },
    "store_taxonomy": "Catalogix"
  }
}

Authorizations

Authorization
string
header
required

Pass the API token as a Bearer token in the Authorization header.

Headers

X-Request-Id
string

Optional trace ID. If not provided, one is generated automatically

Query Parameters

store_uuid
string
required

Store identifier

Example:

"67762d4ce590324df813bd8c"

Response

Successful Response

status
StatusModel · object
required

Status of the operation, including code and message

data
RetrieveStoreModel · object
required

store UUID, marketplace, and associated store info